# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.parfor.opt.CostEstimator.ExcludeType

Packages that use CostEstimator.ExcludeType
Package
Description
org.apache.sysds.runtime.controlprogram.parfor.opt

## Uses of CostEstimator.ExcludeType in org.apache.sysds.runtime.controlprogram.parfor.opt

Methods in org.apache.sysds.runtime.controlprogram.parfor.opt that return CostEstimator.ExcludeType
Modifier and Type
Method
Description
`static CostEstimator.ExcludeType`
CostEstimator.ExcludeType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CostEstimator.ExcludeType[]`
CostEstimator.ExcludeType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.controlprogram.parfor.opt with parameters of type CostEstimator.ExcludeType
Modifier and Type
Method
Description
`double`
CostEstimator.`getEstimate(CostEstimator.TestMeasure measure, OptNode node, boolean inclCondPart, Collection<String> vars, CostEstimator.ExcludeType extype)`